Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84510 - (FLOPPY)Red Hat Linux 8.0 cannot create boot disk or mount floppy.
Summary: (FLOPPY)Red Hat Linux 8.0 cannot create boot disk or mount floppy.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-18 05:37 UTC by Richard A. Pries
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:32 UTC


Attachments (Terms of Use)
dmesg (deleted)
2003-02-18 05:43 UTC, Richard A. Pries
no flags Details
interrupts, IO ports, and modules from /proc file system (deleted)
2003-02-18 05:52 UTC, Richard A. Pries
no flags Details
Configuration data from Windows NT on same computer. (deleted)
2003-02-18 05:54 UTC, Richard A. Pries
no flags Details

Description Richard A. Pries 2003-02-18 05:37:48 UTC
Description of problem: Red Hat Linux 8.0 cannot create boot disk at end of 
installation or mount floppy after it is installed.  However, the floppy drive 
worked fine when Red Hat Linux 6.2 and 7.0 were reinstalled.  Model of floppy 
drive is Sony MPF920-Z.  

When booting the following messages were displayed:

ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 < hda5 > hda3 hda4
Floppy drive(s): fd0 is 1.44M
floppy0: Floppy io-port 0x03f2 in use

The following SCSI error message was also displayed, but the two SCSI devices 
on the system worked fine:

SCSI subsystem driver Revision: 1.00
kmod: failed to exec /sbin/modprobe -s -k scsi_hostadapter, errno = 2
scsi0 : Adaptec AIC7XXX EISA/VLB/PCI SCSI HBA DRIVER, Rev 6.2.8
        <Adaptec 2940 Ultra SCSI adapter>
        aic7880: Ultra Single Channel A, SCSI Id=7, 16/253 SCBs

System is configured to dual boot with Windows NT 4.0.  The floppy drive works 
fine with Windows NT.

Attached are /proc information, complete dmesg, and configuration data obtained 
by running winmsd in Windows NT.


Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. mount /dev/fd0 /mnt/floppy
2.
3.
    
Actual results:
mount: /dev/fd0 is not a valid block device


Expected results:
Floppy should have mounted.

Additional info:
# ls -l /dev/fd0
brw-rw----    1 root     floppy     2,   0 Aug 30 16:31 /dev/fd0

Comment 1 Richard A. Pries 2003-02-18 05:43:17 UTC
Created attachment 90144 [details]
dmesg

Comment 2 Richard A. Pries 2003-02-18 05:52:51 UTC
Created attachment 90145 [details]
interrupts, IO ports, and modules from /proc file system

Comment 3 Richard A. Pries 2003-02-18 05:54:17 UTC
Created attachment 90146 [details]
Configuration data from Windows NT on same computer.

Comment 4 Bugzilla owner 2004-09-30 15:40:32 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.